source 'https://rubygems.org'

git_source(:github) do |repo_name|
  repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/")
  "https://github.com/#{repo_name}.git"
end


# Bundle edge Rails instead: gem 'rails', github: 'rails/rails'
gem 'rails', '~> 5.2'
# Use Puma as the app server
gem 'puma', '~> 3.7'
# Use SCSS for stylesheets
# gem 'sass-rails', '~> 5.0'
# Use Uglifier as compressor for JavaScript assets
# gem 'uglifier', '>= 1.3.0'
# Transpile app-like JavaScript. Read more: https://github.com/rails/webpacker
gem 'webpacker'
# See https://github.com/rails/execjs#readme for more supported runtimes
# gem 'therubyracer', platforms: :ruby

# Use CoffeeScript for .coffee assets and views
# gem 'coffee-rails', '~> 4.2'
# Turbolinks makes navigating your web application faster. Read more: https://github.com/turbolinks/turbolinks
# gem 'turbolinks', '~> 5'
# Build JSON APIs with ease. Read more: https://github.com/rails/jbuilder
gem 'jbuilder', '~> 2.5'
# Use Redis adapter to run Action Cable in production
# gem 'redis', '~> 3.0'
# Use ActiveModel has_secure_password
# gem 'bcrypt', '~> 3.1.7'

# Use Capistrano for deployment
# gem 'capistrano-rails', group: :development

group :development, :test do
  # Call 'byebug' anywhere in the code to stop execution and get a debugger console
  gem 'byebug', platforms: [:mri, :mingw, :x64_mingw]
  # Adds support for Capybara system testing and selenium driver
  gem 'capybara', '~> 2.13'
end

group :development do
  # Access an IRB console on exception pages or by using <%= console %> anywhere in the code.
  gem 'web-console', '>= 3.3.0'
  gem 'listen', '>= 3.0.5', '< 3.2'
  # Spring speeds up development by keeping your application running in the background. Read more: https://github.com/rails/spring
  gem 'spring'
  gem 'spring-watcher-listen', '~> 2.0.0'
end

# Windows does not include zoneinfo files, so bundle the tzinfo-data gem
gem 'tzinfo-data', platforms: [:mingw, :mswin, :x64_mingw, :jruby]

# Databases and file management
group :sqlite, optional: true do
  gem 'sqlite3', '1.3.13'
end
group :mysql, optional: true do
  gem 'mysql2', '0.5.1'
end
group :postgresql, optional: true do
  gem 'pg', '1.0.0'
end

gem 'carrierwave', '~> 1.2', '>= 1.2.2'
gem 'mimemagic', '~> 0.3.2'
gem 'mini_magick', '~> 4.8'
gem 'kaminari', '~> 1.1', '>= 1.1.1'

# Authentication
gem 'devise', '~> 4.4', '>= 4.4.1'

# Locales
gem 'browser', '~> 2.5', '>= 2.5.2'
gem 'country_select', '~> 3.1', '>= 3.1.1'
gem 'devise-i18n', '~> 1.5', '>= 1.5.1'
gem 'rails-i18n', '~> 5.0', '>= 5.0.4'

gem 'prawn', '~> 2.2', '>= 2.2.2'
gem 'smarter_csv', '~> 1.2', '>= 1.2.3'

gem 'chartkick', '~> 2.3', '>= 2.3.2'
gem 'blazer', '~> 1.8', '>= 1.8.2'

gem 'selenium-webdriver'

gem 'graphql', '~> 1.8.0.pre10'

gem 'roo', '~> 2.7', '>= 2.7.1'
